TransverseMercator.hpp File Reference

Header for GeographicLib::TransverseMercator class. More...

`#include <GeographicLib/Constants.hpp>`
`#include <GeographicLib/TransverseMercatorExact.hpp>`

Go to the source code of this file.

## Classes

class | GeographicLib::TransverseMercator
| Transverse Mercator projection. More...

## Namespaces

namespace | GeographicLib
| Namespace for GeographicLib.

## Macros

#define | GEOGRAPHICLIB_TRANSVERSEMERCATOR_ORDER

## Detailed Description

Header for GeographicLib::TransverseMercator class.

Copyright (c) Charles Karney (2008-2023) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file TransverseMercator.hpp.

## Macro Definition Documentation

## GEOGRAPHICLIB_TRANSVERSEMERCATOR_ORDER

#define GEOGRAPHICLIB_TRANSVERSEMERCATOR_ORDER

Value:
(GEOGRAPHICLIB_PRECISION == 2 ? 6 : \
(GEOGRAPHICLIB_PRECISION == 1 ? 4 : 8))
GEOGRAPHICLIB_PRECISION
#define GEOGRAPHICLIB_PRECISION
Definition: Math.hpp:35

The order of the series approximation used in TransverseMercator. GEOGRAPHICLIB_TRANSVERSEMERCATOR_ORDER can be set to any integer in [4, 8].

Definition at line 21 of file TransverseMercator.hpp.